# Uses of Interface
java.lang.classfile.constantpool.MethodHandleEntry

Packages that use MethodHandleEntry
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.constantpool
Provides interfaces describing constant pool entries for the `java.lang.classfile` library.

## Uses of MethodHandleEntry in java.lang.classfile

Methods in java.lang.classfile that return MethodHandleEntry
Modifier and Type
Method
Description
`MethodHandleEntry`
BootstrapMethodEntry.`bootstrapMethod()`
Returns the bootstrap method.

## Uses of MethodHandleEntry in java.lang.classfile.constantpool

Methods in java.lang.classfile.constantpool that return MethodHandleEntry
Modifier and Type
Method
Description
`MethodHandleEntry`
ConstantPoolBuilder.`methodHandleEntry(int refKind, MemberRefEntry reference)`
Returns a `MethodHandleEntry` encoding a reference kind and referring to a `MemberRefEntry`.
`default MethodHandleEntry`
ConstantPoolBuilder.`methodHandleEntry(DirectMethodHandleDesc descriptor)`
Returns a `MethodHandleEntry` describing the same method handle as the given `DirectMethodHandleDesc`.
Methods in java.lang.classfile.constantpool with parameters of type MethodHandleEntry
Modifier and Type
Method
Description
`BootstrapMethodEntry`
ConstantPoolBuilder.`bsmEntry(MethodHandleEntry methodReference, List<LoadableConstantEntry> arguments)`
Returns a `BootstrapMethodEntry` referring to a `MethodHandleEntry` and a list of `LoadableConstantEntry`.